<?php
###################
# Database settings
###################
# Which database system: "pgsql"=PostgreSQL, "mysql"=MySQL
$dbsys = "mysql";
# Hostname of database server. For pgsql, can use "" instead of localhost
# to use Unix Domain Sockets instead of TCP/IP.
$db_host = "localhost";
# Database name:
$db_database = "newmrbs_demo";
# Database login user name:
$db_login = "username";
# Database login password:
$db_password = 'password';
# Prefix for table names.  This will allow multiple installations where only
# one database is available
$db_tbl_prefix = "mrbs_";
#one of tcp or unix
$protocol="tcp";
$dsn_global=$dbsys."://".$db_login.":".$db_password."@tcp+".$db_host."/".$db_database;
#attiva il sistema di logging x gli sviluppatori (necessario)
$devlog=1;

# Uncomment this to NOT use PHP persistent (pooled) database connections:
# $db_nopersist = 1;
##########################################
# PHP System Configuration - internal use, do not change
##########################################
# Disable magic quoting on database returns:
set_magic_quotes_runtime(0);

# Make sure notice errors are not reported, they can break mrbs code:
error_reporting (E_ALL ^ E_NOTICE);

# These variables specify the names of the tables in the database
# These should not need to be changed.  Please change $db_tbl_prefix
# in the database section above.

$tbl_area   = $db_tbl_prefix . "area";
$tbl_entry2 = $db_tbl_prefix . "entry2";
$tbl_entry  = $db_tbl_prefix . "entry";
$tbl_repeat = $db_tbl_prefix . "repeat";
$tbl_room   = $db_tbl_prefix . "room";
$tbl_users  = $db_tbl_prefix . "users";
$tbl_log    = $db_tbl_prefix . "log";
$tbl_log_time   = $db_tbl_prefix . "log_time";
$tbl_occur  = $db_tbl_prefix . "occur";
$tbl_cdl    = $db_tbl_prefix . "cdl";
$tbl_news    = $db_tbl_prefix . "news";
$tbl_news_category    = $db_tbl_prefix . "news_category";
$tbl_offerta_formativa = $db_tbl_prefix ."off";
?>
