<?php
include "microtime.inc.php";
include_once "config.path.inc.php";
include 'config.inc.php';
include 'mrbs_auth.inc.php';
include 'mrbs_sql.inc.php';
include "$dbsys.inc.php";

global $tbl_log;
include_once(SMARTY.'Smarty.class.php');
global $tbl_occur;
global $tbl_log_time;
global $tbl_entry;
if(!getAuthorised(2))
{
	showAccessDenied();
	exit();
}

//print_header($day,$month,$year,$area);

function elabora(){
	global $tbl_log;
	$SQL="select * from $tbl_log where os is null";
	$res=sql_query($SQL);
	if(!$res){
		fatal_error(0,$SQL.sql_error());
	}

	while(($row=sql_row_keyed($res,$f++))!=0){
		$version=browser_detection(number,$row[useragent]);
		$os=browser_detection(os,$row[useragent]);
		$browser=browser_detection(browser,$row[useragent]);
		

	}
	
}
$VIEW="(select max(time)as tempo,pagina as page from $tbl_log ml join $tbl_log_time mlt on ml.id=mlt.id group by ml.id)";

$SQL="SELECT count(pagina) 'numerohit',pagina FROM $tbl_log group by pagina order by numerohit desc";

tableoutput("conteggio pagine pi&ugrave; cliccate",$SQL);

$SQL="select count(page)*avg(tempo) as 'indice',count(page) 'hitrate', ".
	 "avg(tempo) 'tempomedio', ".
	 "min(tempo) 'tempo minimo', ".
	 "max(tempo) 'tempo massimo', ".
	 "page as pagina FROM $VIEW as joinedtable ".
	 "group by page ".
	 "order by indice desc";
tableoutput("tempi di servizio medio",$SQL);



$SQL="SELECT count(useragent) 'numerohit',useragent FROM $tbl_log m group by useragent order by numerohit desc";
tableoutput("useragent pi&ugrave; usati",$SQL);

$spread=3;
$SQL="select cast(hour(timestamp)/$spread as UNSIGNED)*$spread as dalle,$spread*(1+cast(hour(timestamp)/$spread as UNSIGNED))-1 as alle,count(pagina) numerohit  from $tbl_log group by dalle order by dalle";
tableoutput("Numero di hit per fascia oraria",$SQL);

$SQL="select count(pagina) numerohit,DAYNAME(timestamp) as giorno from $tbl_log group by giorno order by numerohit desc";
tableoutput("Numero di hit per giorno della settimana",$SQL);

$SQL="select count(created_by) inserimenti,created_by autore from $tbl_occur group by created_by order by inserimenti desc";
tableoutput("Numero di inserimenti per utente",$SQL);

$SQL="select count(user) numerohit,user as nomeutente from $tbl_log group by nomeutente order by numerohit desc";
tableoutput("Numero di accessi per utente",$SQL);



$PAGE="week.php";
$SQL="select avg(time) 'tempomedio',min(time) minimo,max(time)massimo,descrizione from $tbl_log ml join $tbl_log_time mlt on ml.id=mlt.id where pagina='$PAGE' group by descrizione order by tempomedio";
tableoutput("Tempi di accesso su $PAGE",$SQL,1);
$PAGE="day.php";
$SQL="select avg(time) 'tempomedio',min(time) minimo,max(time)massimo,descrizione from $tbl_log ml join $tbl_log_time mlt on ml.id=mlt.id where pagina='$PAGE' group by descrizione order by tempomedio";
tableoutput("Tempi di accesso su $PAGE",$SQL,1);

$PAGE="month.php";
$SQL="select avg(time) 'tempomedio',min(time) minimo,max(time)massimo,descrizione from $tbl_log ml join $tbl_log_time mlt on ml.id=mlt.id where pagina='$PAGE' group by descrizione order by tempomedio";
tableoutput("Tempi di accesso su $PAGE",$SQL,1);


function tableoutput($name,$sql,$time=0){
	$layout=new Smarty();
	$res=sql_query($sql);
	if(!$res){
		fatal_error(0,$sql.sql_error());
	}
	$f=0;
	while(($row=sql_row_keyed($res,$f++))!=0){
		$occur[]=$row;
	}
	if(sizeof($occur)!=0){
		if($time!=0){
			$massimo=$occur[count($occur)-1][tempomedio];
			$prevtime=0;
			$prova=array();
			foreach($occur as $val){
				$temp=$val;
				$temp[tempomedio]=$val[tempomedio]-$prevtime;
				$temp[tempomedio]=number_format($temp[tempomedio],5);
				$temp[count($val)/2]=100*$temp[tempomedio]/$massimo;
				$temp[percentuale]=100*$temp[tempomedio]/$massimo;
	
				$prova[]=$temp;
				$prevtime=$val[tempomedio];
			}

			$occur=$prova;
		}
		$chiavi=array();	
		foreach(array_keys($occur[0]) as $chiave){
			if(!is_numeric($chiave)){
				$chiavi[]=$chiave;
			}
		}
		$layout->assign("chiavi",$chiavi);
	}else{
		$layout->assign("NOSTATS",get_vocab("nostats"));
	}
	$layout->assign("name",$name);
	$layout->assign("occur",$occur);
	$layout->display("dev_report.html");
}

?>
