<?php
include_once "config.path.inc.php";
include_once(SMARTY.'Smarty.class.php');
include_once(CLASSES.'entry.php');

function formHTML($layout,$from_date,$to_date,$wrong,$errore){
	init_header($layout);
	if($to_date<=$from_date){
		$layout->assign('wrongdate',1);
	}
	$layout->assign('nodate',$errore);
	$layout->assign('from_date_value',$from_date);
	$layout->assign('to_date_value',$to_date);
	$layout->assign('selected_opt',$REQUEST[export_type]);
	$layout->display('esporta.html');
}

function esportaZippedXML($from_date,$to_date){
	global $mrbs_company;
	include_once(ZIP.'zip.lib.php');
	$filename=getFilename("xml");
	$xmlfilecontent=esportaXML($from_date,$to_date);
	$var->addFile($xmlfilecontent,$filename);
	return $var->file();
}

function esportaXML($from_date,$to_date){
	global $mrbs_company;
	include_once(ZIP.'zip.lib.php');
	$filename=getFilename("xml");
	$layout=new Smarty;
//	$layout->caching=TRUE;

	$tag_layout="FD.$from_date.TD.$to_date";
	//$exportXML=array(array());
	//if(!($layout->is_cached("layout.xml",$tag_layout))){
		$layout->assign("XSD_SCHEMA",dirname($_SERVER['SCRIPT_URI'])."/templates/layout.xsd");
		$layout->assign("facolta",$mrbs_company);
		$entry=new Entry;
		
		$roomlist=Room::getAll();
		$layout->assign("aule",$roomlist);
		
		$entries=$entry->getXMLEvents($from_date,$to_date);
		$num_entries=count($entries);
		foreach($entries as $entry){
			$cdl_id=$entry->getCdlId();
			foreach($entry->occurlist as $occur){
				for($i=$from_date;$i<=$to_date;$i=strtotime("+1 day",$i)){
					if(date("w",$i)==date("w",$occur->getWeekdayTime())){
						$new=new Entry;
						$new->initByValues($entry->toArray());
						$newoccur=new Occur;
						$newoccur->initByValues($occur->toArray());
						
						$new->occurlist=$newoccur;
						$new->occurlist->setFrom_Date($i);
						$exportXML[$cdl_id][]=$new;
					}
				}
			}
		}
		$layout->assign("exportXML",$exportXML);
		
		$layout->assign("URLSERVER",dirname($_SERVER[SCRIPT_URI]));
	//}
	return 	$layout->fetch("layout.xml",html_entity_decode($tag_layout,ENT_QUOTES));
}

function esportaCSV($from_date,$to_date){
	$layout=new Smarty;
	//$layout->caching=TRUE;
	$tag_layout="F.$from_date.T.$to_date";
	//if(!($layout->is_cached("layout.csv",$tag_layout))){
		$entry=new Entry;
		$entries=$entry->getCSVEvents($from_date,$to_date);
		$cdl_id=0;
		$cdl_f=-1;
		$cdl=array();
		foreach($entries as $entry){
			$cdl_id=$entry->getcdlid();
			$cdl[$cdl_id][]=$entry;
		}
		$layout->assign("cdl",$cdl);
	//}
	return $layout->fetch("layout.csv",html_entity_decode($tag_layout,ENT_QUOTES));
}
function esportaCSVHTML($from_date,$to_date){
	$layout=new Smarty;
	//$layout->caching=TRUE;
	$tag_layout="F.$from_date.T.$to_date";
	//if(!($layout->is_cached("esporta_tpl.html",$tag_layout))){
		$entry=new Entry;
		$entries=$entry->getCSVEvents($from_date,$to_date);
		$cdl_id=0;
		$cdl_f=-1;
		$cdl=array();
		foreach($entries as $entry){
			$cdl_id=$entry->getcdlid();
			$cdl[$cdl_id][]=$entry;
		}
		$layout->assign("cdl",$cdl);
	//}
	return $layout->fetch("esporta_tpl.html",html_entity_decode($tag_layout,ENT_QUOTES));
}


function &esportaXLS($from_date,$to_date){
	include_once "libraries/ExcelExport.php";
	$tag_layout="f.$from_date.t.$to_date";
	//if(!($layout->is_cached("layout.xls",$tag_layout))){
		$entry=new Entry;
		$entries=$entry->getCSVEvents($from_date,$to_date);
		$cdl_id=0;
		$cdl_f=-1;
		$cdl=array();
		foreach($entries as $entry){
			$cdl_id=$entry->getcdlid();
			$cdl[$cdl_id][]=$entry;
		}
		$xls = new ExcelExport();
		$xls->addRow(Array("Docente:","Corso di Laurea","SSD:","Livello:","Anno","Attività formativa:","Dettagli:","Crediti del modulo","Data inizio evento:","Data fine evento:","Giorno:","Ora inizio evento:","Ora fine evento:","Aula","Edificio:"));
		$cdl_id=0;
		foreach($cdl as $key=>$entriesdelcdl){
			$intestazionecdl=1;
			foreach($entriesdelcdl as $entry){
				if($intestazionecdl==1){
					$intestazionecdl=0;
					$xls->addRow(Array($entry->cdl->descrizione));
				}else{
					$primariga=1;
					foreach($entry->occurlist as $occur){
						if($primariga==1){
							$primariga=0;
							$xls->addRow($entry->getteacher(),$entry->cdl->descrizione,
								$entry->getSSD(),$entry->getLivello(),
								$entry->getYear(),$entry->getShortitle(),
								$entry->getDescription(),$entry->getCrediti(),
								
								$occur->getfrom_date(),$occur->getto_date(),
								$occur->getWeekdayTime(),$occur->getfrom_time(),
								$occur->getto_time(),$occur->room->room_name,
								$occur->room->area->description);
						}else{
							$xls->addRow("","",
								"","",
								"","",
								"","",
								$occur->getfrom_date(),$occur->getto_date(),
								$occur->getWeekdayTime(),$occur->getfrom_time(),
								$occur->getto_time(),$occur->room->room_name,
								$occur->room->area->description);
						}//fine primariga
				}//fine occurlist
			}//fine intestazionecdl
			
		}//fine entriesdelcdl
		
		}//fine cdl
	//}//fine smarty
	//return $layout->fetch("layout.xls",$tag_layout);
	return $xls;
}


function printXMLLINK($REQUEST){
	$layout = new Smarty;
	init_header($layout);
	foreach($REQUEST as $KEY=>$VAL){
		if(strcmp('export_type',$KEY)!=0){
			$VAR.="$KEY=$VAL&";
		}
	}
	$VAR.="export_type=xml";
	$layout->assign('REQUEST',$VAR);
	$layout->display('esporta_link.html');
}

function getFilename($EXTENSION){
	global $CONFIG_set_export_time;
	global $mrbs_company;
	if($CONFIG_set_export_time==1){
		return date("YmdHi")."_$mrbs_company.$EXTENSION";
	}else{
		return "$mrbs_company.$EXTENSION";
	}

}
#settembre 2007 ed.matteucci@gmail.com
?>