<?php
# $Id: month.php,v 1.31.2.4 2007/02/23 22:06:45 jberanek Exp $

# mrbs/month.php - Month-at-a-time view
include "config.path.inc.php";
include_once(SMARTY.'Smarty.class.php');
include_once(CLASSES."log.php");
$log=new Log;
$log->InitByValues($_SERVER);
require_once "grab_globals.inc.php";
include "config.inc.php";
include "header_menu.inc.php";
include "functions.inc.php";
include "mrbs_auth.inc.php";


$log->setUser(getUserName());
$log->AddLog("postInclude");

# Default parameters:
$layout=new Smarty;
$logged=isAuthorised(1);
//se logged allora on attivo la cache
//$layout->caching=!$logged;

//mese selezionato
$time=get_date(1,$_REQUEST['from_Month'],$_REQUEST['from_Year'],$_REQUEST['time']);
//mese
$month=date('m',$time);
//anno
$year=date('Y',$time);
//data inizio mese selezionato
$month_start = mktime(0, 0, 0, $month, 1, $year);
//ricavo il numero dei giorni del mese selezionato da 28 a 31
$days_in_month = date("t", $month_start);	
//area
$area=intval($_REQUEST['area']);
//stanza
$room=intval($_REQUEST['room']);
$id_pagina="A.$area.R.$room.T.$month_start.P.$pview";
$cached="L.$logged";
if(!$layout->is_cached("month.html",$id_pagina,$cached)){
	$log->setNotCached();
	$log->AddLog("prequery");
	include_once(CLASSES."entry.php");
	init_header($layout,$month_start);
	$arrayarearoom=getDefaultAreaRoom($area,$room);
	$areas=$arrayarearoom['areas'];
	$room_obj=$arrayarearoom['room'];
	$area_obj=$arrayarearoom['area'];
	$layout->assign("room_obj",$room_obj);
	$layout->assign("area_obj",$area_obj);
	# Note $room will be 0 if there are no rooms; this is checked for below.

	$layout->assign("pview",$pview);
	$layout->assign("REQUEST",htmlspecialchars(implodeAssoc("&",$_REQUEST)));
	# Month view start time. This ignores morningstarts/eveningends because it
	# doesn't make sense to not show all entries for the day, and it messes
	# things up when entries cross midnight.
	
	# What column the month starts in: 0 means $weekstarts weekday.
	# Define the start and end of each day of the month in a way which is not
	# affected by daylight saving...
	//data inizio del mese selezionato
	$month_begin= mktime(0,0,0,$month,1,$year);
	//data fine del mese selezionato
	$month_end = mktime(23, 59, 59, $month, $days_in_month, $year);	
	if($area_obj!=null){
	  	init_headermenu(&$layout,$area_obj->getRoom_List(),$areas,$area_obj,$room_obj,$month_start,'month');
	
		
		if($room_obj!=0){
		$entry=new Entry;
		if(!isset($room_obj)){
			$room_obj=$results[0]->occurlist[0]->room;
		}
		//ottengo gli eventi del mese e della stanza selezionata
		$results=$entry->getMonthEvents($month_start,$month_end,$room_obj->id);
		
		$layout->assign("room",$room_obj);
		//array mese
		$montharray=array();
		//ricavo il numero dei giorni del mese selezionato da 28 a 31
		$daysofmonth=date("t",$month_start);
		//0 (for Sunday) through 6 (for Saturday)
		$offsetmonth=date("w",$month_start);
		//ciclo tutti i giorni del mese
		for($dayofmonth=$month_start; $dayofmonth<$month_end; $dayofmonth=strtotime("+1 day",$dayofmonth)){
			$montharray[date("j",$dayofmonth)][today]=$dayofmonth;
		}
		$offsetmonth=date("w",$month_start);
		$layout->assign("offsetmonth",$offsetmonth);
		foreach($results as $entry){
			foreach($entry->occurlist as $occur){
					//TODO si puo' fare in modo + intelligente solo sui giorni giusti
					//usando il weekday
					$temp[from_time]=$occur->from_time;
					$temp[to_time]=$occur->to_time;
					$temp[shortitle]=$entry->shortitle;
					$temp[teacher]=$entry->teacher;
					$temp[entry_id]=$entry->id;
					//TODO fix il fatto che l'offset dei giorni e' errato
					//$currentday=strtotime("first ".date("l",$occur->getWeekdayTime()),$month_start);
					$currentday=strtotime(date("l",$occur->getWeekdayTime()),$month_start);
				    //$currentday=strtotime("+".$occur->getWeekdayNum()." day",$month_start);
					// data inizio insegnamento
					$time_from_date=strtotime($occur->from_date);
					// data fine insegnamento
					$time_to_date=strtotime($occur->to_date);
					//ciclo giorno corrente < fine mese
					while($currentday<$month_end){
						//giorno corrente >= data inizio insegnamento && giorno corrente <= data fine insegnamento
						if($currentday>=$time_from_date&&$currentday<=$time_to_date){
							$montharray[date("j",$currentday)][occurs][]=$temp;
						}
						$currentday=strtotime("+1 week",$currentday);
	
					}
				}
			}
			for($f=0;$f<7;$f++){
				$headerarray[]=strtotime("+$f day",getSundayStart());	
				
			}
			$layout->assign("headerarray",$headerarray);
			$layout->assign("montharray",$montharray);
			$layout->assign("room_obj",$room_obj);
		}//obj!=0
	}
	$log->AddLog("postquery");

	$layout->assign("numerocolonne",7);
	$layout->assign("time",$month_start);
	$layout->assign("monthbefore",strtotime("-1 month",$month_start));
	$layout->assign("monthafter",strtotime("+1 month",$month_start));
	$layout->assign("javascript_cursor",$javascript_cursor);
}
$log->AddLog("predisplay");
$layout->display("month.html",$id_pagina,$cached);
$log->AddLog("postdisplay");
$log->save();
?>