<?php
# $Id: week.php,v 1.37.2.2 2007/02/13 12:53:36 jberanek Exp $
include "config.path.inc.php";
include_once(SMARTY.'Smarty.class.php');
include_once(CLASSES.'log.php');

$log=new Log;
$log->InitByValues($_SERVER);

# mrbs/week.php - Week-at-a-time view
require_once "grab_globals.inc.php";
include_once "config.inc.php";
include "functions.inc.php";
include "mrbs_auth.inc.php";
include "header_menu.inc.php";
include_once(CLASSES.'entry.php');

$log->setUser(getUserName());
$log->AddLog("postInclude");
# Set the date back to the previous $weekstarts day (Sunday, if 0):

$time=get_date($_REQUEST['from_Day'],$_REQUEST['from_Month'],$_REQUEST['from_Year'],$_REQUEST['time']);
if (($weekday = (date("w", $time) - $weekstarts + 7) % 7) > 0)
{
	$time=strtotime("-$weekday day",convert_am7($time));
}

# Note $room will be 0 if there are no rooms; this is checked for below.
$layout = new Smarty;
$logged=isAuthorised(1);
//se logged allora on attivo la cache
//$layout->caching=!$logged;

$id_pagina="T.$time.R.".$_REQUEST['room']."A".$_REQUEST['area']."P".$_REQUEST['pview'];
$cached="L.$logged";
//if(!$layout->is_cached("week.html",$id_pagina,$cached)){
	$log->AddLog("prequery");
	$log->setNotCached();
	$arrayarearoom=getDefaultAreaRoom($_REQUEST['area'],$_REQUEST['room']);
	$areas=$arrayarearoom[areas];
	$room_obj=$arrayarearoom[room];
	$area_obj=$arrayarearoom[area];
	if(!empty($_GET)){
		$REQUEST=$_GET;
	}
	if(!empty($_POST)){
		$REQUEST=$_POST;
	}
	$layout->assign("REQUEST",htmlspecialchars(implodeAssoc("&",$REQUEST)));
	$layout->assign("pview",$_REQUEST['pview']);
	global $morningstarts;
	global $morningstarts_minutes;
	global $eveningends;
	global $eveningends_minutes;
	global $resolution;
	$max_week=strtotime("+1 week",$time);
	$inizio=$morningstarts*3600+$morningstarts_minutes*60;
	$fine=$eveningends*3600+$eveningends_minutes*60;
	if($area_obj!=null){

		init_headermenu(&$layout,$area_obj->getRoom_List(),$areas,$area_obj,$room_obj,$time,'week');
		for($f=$time;$f<$max_week;$f=strtotime("+1 day",$f)){
			for($g=$inizio;$g<=$fine;$g+=$resolution){
				$temp[time]=$g+$f;
				$temp[vuoto]=TRUE;
				$weekexport[($g-$inizio)/$resolution][date("w",$f)]=$temp;
			}	
		}
		
		$entry=new Entry;
		if($room_obj!=NULL){
			$entries=$entry->getMonthEvents($time,strtotime("+1 week",$time),$room_obj->getId());
			foreach($entries as $entry){
				foreach($entry->occurlist as $occur){
					$tempweek=$entry;
		
					$from_time=getdate(strtotime($occur->from_time));
					$to_time=getdate(strtotime($occur->to_time));
			
					$from_time_sec=3600*$from_time[hours]+60*$from_time[minutes];
					$to_time_sec=3600*$to_time[hours]+60*$to_time[minutes];
					$first=1;
					for($f=$from_time_sec;$f<$to_time_sec;$f+=$resolution){
						$slotinizio=($f-$inizio)/$resolution;
						if($first==1){
							$first=0;
							$weekexport[$slotinizio][$occur->getWeekdayNum()][first]=TRUE;
							$weekexport[$slotinizio][$occur->getWeekdayNum()][entry]=$tempweek;
						}
						$weekexport[$slotinizio][$occur->getWeekdayNum()][vuoto]=FALSE;			
					}
					$weekexport[$slotinizio][$occur->getWeekdayNum()][last]=TRUE;
				}	
			}
			$layout->assign("weekexport",$weekexport);
		}
	}
	$log->AddLog("postquery");
	init_header($layout,$time);
	$layout->assign("room_name",$entries[0]->occurlist[0]->room->room_name);
	$layout->assign("area_name",$entries[0]->occurlist[0]->room->area->area_name);
	$layout->assign("is_logged",$logged);
	$layout->assign("next_week",strtotime("+1 week",$time));
	$layout->assign("prev_week",strtotime("-1 week",$time));


//}
$log->AddLog("predisplay");
$layout->display("week.html",$id_pagina,$cached);
$log->Addlog("finale");
$log->Save();
?>