<?php
//copyright jan 2008. ed.matteucci@gmail.com
//released under gpl v2
include_once "mrbs_sql_adodb.inc.php";
include_once "functions.inc.php";
include "categoria.php";
	class News{
		var $from_date;
		var $to_date;
		var $hidden; //se è hidden non viene visto dagli utenti monitor e rss, è visibile da utenti amministratori x la modifica a la cancellazione
		var $deleted; //se è deleted non viene visto dagli utenti monitor e rssh,è visibile da utenti amministratori ma non è possibile modificarlo o cancellarlo
		var $shortitle;
		var $eventoconscadenza;
		var $created_by;
		var $timestamp;
		var	$text;
		var $categoria_obj;
		var $id;
		var $validsql;
		
		function getTimestamp(){
			return $this->timestamp;
		}
		
		function setHasntExpiryDate(){
			$this->eventoconscadenza=false;
		}
		
		function HasExpiryDate(){
			if($this->eventoconscadenza==1){
				return 1;
			}else{
				return 0;
			}
		}
		
		function setHasExpiryDate(){
			$this->eventoconscadenza=true;
		}
		
		function getDescrCategoria(){
			$c=$this->getCategoria();
			return $c->getDescrizione();
		}
		function ValidDate(){
			return (!$this->HasExpiryDate())||($this->getFrom_date()<=$this->getTo_date());
		}
		function &getCategoria(){
			return $this->categoria_obj;
		}
		function &getSTRIPEDHTMLDescription(){
			$M=$this->getDescription();
			$allowedTags='<p><strong><em><u><h1><h2><h3><h4><h5><h6><img>';
			$allowedTags.='<li><ol><ul><span><div><br><ins><del>';
     		$sContent = strip_tags(stripslashes($M),$allowedTags);
     		return $sContent;
		}
		function setCategoria($cat){
			$this->categoria_obj=$cat;
		}
		function ValidShortitle(){
			$M=$this->getShortitle();
			return !empty($M);
		}
		function ValidDescription(){
			$M=$this->getDescription();
			return !empty($M);
		}
		function isValid(){
			return $this->ValidDate()&&$this->ValidShortitle()&&$this->ValidDescription();
		}
		
		function setFrom_Date($data){
			if(is_numeric($data)){
				$this->from_date=$data;
			}else{
				$this->from_date=strtotime($data);
			}
		}
		function setTo_Date($data){
			if(is_numeric($data)){
				$this->to_date=$data;
			}else{
				$this->to_date=strtotime($data);
			}
		}
		function setId($id){
		  print "sono qui";
		  
			$this->id=intval($id);
			print $this->id;
		}
		function getId(){
			return intval($this->id);
		}
		
		function updateVisibility(){
			$db=Connection::getInstance();
			
			global $tbl_news;
			$sql="update $tbl_news set hidden=".$this->getHidden()." where id=".$this->getId();
			
			if($db->Execute($sql)===false){
				Connection::Error("news.php, updateVisibility()",1);					
			}
			
			$sql = "update lista_news set news_hidden=".$this->getHidden() ." where news_id=".$this->getId();
			$db->Execute($sql);
			
			
		}
		function setHidden(){
			$this->hidden=true;
		}
		function isExpired(){

				$this->HasExpiryDate();
		}
		function setVisible(){
			$this->hidden=false;
		}		
		function getFrom_date(){
			return $this->from_date;
		}
		function getTo_date(){
			return $this->to_date;	
		}
		function getHidden(){
			if($this->hidden){
				return 1;
			}else{
				return 0;
			}
		}
		function isVisibile(){
			return (!($this->getHidden()))&&!($this->getDeleted());
		}
		function setDeleted(){
			$this->deleted=true;
		}
		function getIdCategoria(){
			$M=$this->getCategoria();
			return $M->getID();
		}
		function getDeleted(){
			if($this->deleted){
				return 1;
			}else{
				return 0;
			}
		}
		function setShortitle($M){ 
			$this->shortitle=stripcslashes($M); //utf8_decode($M);
		}

		function setDescription($M){
			$this->text=stripcslashes($M); //utf8_decode($m);
		}
		function getDescription(){
			return $this->text;// utf8_encode($this->text);
		}
		function getShortitle(){
			return strip_tags($this->shortitle);//utf8_encode($this->shortitle);
		}
		function &getAllActive(){
			return News::getAll(1);
		}
		function &getAllInactive(){
			return News::getAll(2);
		}
				
		
		function &getAll($filtro=""){
			$db=Connection::getInstance();
			$date=convert_am7(mktime());
			$date=$db->DBDate($date);
			if($filtro!=""){
  				//$CONDIZIONE=" NOT (news_deleted && (news_to_date>=$date OR NOT news_limited) ) ";
				/* mostra news ANCORA ATTIVE O ILLIMITATE O NASCOSTE MA NON QUELLE CANCELLATE*/
				$CONDIZIONE=" news_deleted = 0 && (news_to_date>=$date OR news_limited = 0 OR news_hidden = 1)";
				/* mostra news CANCELLATE e/o SCADUTE*/
				$CONDIZIONE2=" news_deleted = 1 || (news_to_date < NOW() && news_limited = 1)";
					if($filtro==1){
						$M=" WHERE $CONDIZIONE ";	
					}
					if($filtro==2){
						$M=" WHERE $CONDIZIONE2 ";
					}
			}
					
			$sql="select * from lista_news $M order by news_deleted,news_hidden,news_timestamp desc";
			//echo $sql;
			$res=$db->Execute($sql);
			if($res===false){
				Connection::Error("news.php, getAll()",1);
			}
			$newslist=array();
			while(!$res->EOF){
				$tempnews=new News;
				$tempnews->initByValues($res->fields);
				$newslist[]=$tempnews;
				$res->MoveNext();	
			}
			return $newslist;
		}
		
		function &getAllValidByCategory($categoria){
			return News::getAllValid(-1,-1,$categoria);;
		}
		
		function &getAllValid($offset="",$limit="",$categoria=""){
			$db=Connection::getInstance();
			include_once("functions.inc.php");
			$date=convert_am7(mktime());
			$date=$db->DBDate($date);
			global $tbl_news;
			if(!empty($categoria)){
				$M=" AND category_id=".intval($categoria)." ";
			}
			$sql="select * from lista_news ".
					" where news_hidden=false AND news_deleted=false" .
					" AND news_from_date<=$date $M" .
					" AND (news_to_date>=$date OR NOT news_limited) " .
					" order by news_timestamp";

			if(is_numeric($offset)&&is_numeric($limit)){
				$res=$db->SelectLimit($sql,intval($limit),intval($offset));
			}else{
				
				$res=$db->Execute($sql);
			}
			if($res===false){
				Connection::Error("news.php, getAllValid()",1);					
			}
			$newslist=array();
			while(!$res->EOF){
				$tempnews=new News;
				$tempnews->initByValues($res->fields);
				$tempnews->validsql=true;
				$newslist[]=$tempnews;
				$res->MoveNext();	
			}
			return $newslist;
		}
		function News(){
			$this->eventoconscadenza=true;
			$this->deleted=false;
			$this->hidden=true;
		}
		function &getElemento($elemento,$categoria){
			if(is_numeric($elemento)&&is_numeric($categoria)){
				if($categoria==-1){
					$risultato=$this->getAllValid(intval($elemento),1);
				}else{
					$risultato=$this->getAllValid(intval($elemento),1,intval($categoria));
				}
			}
			if(empty($risultato)){
				return NULL;
			}
			return $risultato[0];
			//qui ci occupiamo di tagliare il testo alla pagina $pagina
			
			/*			
			$pagina>=0
			$numerorighe è definito
			faccio la query sql x le notizie valide
			getAllByDate();
			leggo
			$pagina*$numerorighe x portarmi sulla riga della query giusta.
			da quel punto ->leggo $numerorighe righe e le mando alla pagina
			la salvo.
			
			fare n una unica "botta" o in più volte?
			se $pagina>paginedisponibili then return 0;
			else return $pagina++	
			*/
			
		}
		function initById($id){
			global $tbl_news;
			global $tbl_news_category;
			if(is_numeric($id)){
				$db=Connection::getInstance();
				$date=convert_am7(mktime());
				$date=$db->DBDate($date);
				/*$sql="select * from lista_news ".
				" where news_id=$id AND news_deleted=false && (NOT news_limited OR news_to_date>=$date) ";	*/
				//seleziono la news ATTIVA o NASCOSTA per poterla modificare, non quelle CANCEALLATE 
				$sql="select * from lista_news ".
				" where news_id=$id AND news_deleted=0";				
				if(($res=$db->Execute($sql))===false){
					Connection::Error("news.php, initById()",1);					
				}
				if(!$res->EOF){
					$this->initByValues($res->fields);
				}
			}
		}
		
		function initRById($id){
			global $tbl_news;
			global $tbl_news_category;
			if(is_numeric($id)){
				$db=Connection::getInstance();
				$date=convert_am7(mktime());
				$date=$db->DBDate($date);
				//seleziono i dati della news da ripristinare 
				/*$sql="SELECT * FROM lista_news ".
				" WHERE news_id=$id AND news_deleted = 0 && (NOT news_limited OR news_to_date>=$date) ";*/
				$sql="SELECT * FROM lista_news WHERE news_id=".$id;		
				if(($res=$db->Execute($sql))===false){
					Connection::Error("news.php, initById()",1);					
				}
				if(!$res->EOF){
					$this->initByValues($res->fields);
				}
			}
		}
		
		
		function initByValues(&$array){
			$this->from_date=strtotime($array[news_from_date]);	
			$this->to_date=strtotime($array[news_to_date]);
			$this->hidden=$array[news_hidden];
			$this->deleted=$array[news_deleted];
			$this->eventoconscadenza=$array[news_limited];
			$this->setShortitle($array[news_shortitle]);
			$this->created_by=$array[news_created_by];
			$this->timestamp=$array[news_timestamp];
			$this->setDescription($array[news_text]);
			$this->id=$array[news_id];
			$new =new categoria;
			$new->initByValues($array);
			$this->categoria_obj=$new;
		}

		function Del(){
			$db=Connection::getInstance();
			$this->deleted=false;
			global $tbl_news;
			$sql="update $tbl_news set deleted=true, hidden=true where id=".$this->getId();
			
			if($db->Execute($sql)===false){
				Connection::Error("news.php, getDel()",1);					
			}
			$sql="update lista_news set news_deleted=true, news_hidden=true where news_id=".$this->getId();			
			$db->Execute($sql);
		}
		
		function del_all(){
			global $tbl_news;
      $db=Connection::getInstance();
      $sql1 = "DELETE FROM lista_news WHERE news_deleted ='1' OR news_hidden = '1'";
      $db->Execute($sql1);
      $sql2 = "DELETE FROM " .$tbl_news ." WHERE deleted = '1' OR hidden = '1'";
      $db->Execute($sql2);
    }
		
		function ripristina_news(){
			$db=Connection::getInstance();
      global $tbl_news;
      		$sql = "update " .$tbl_news ." set deleted = 0, hidden=1 WHERE id = ".$this->getId();
			if($db->Execute($sql)===false){
				Connection::Error("news.php, getDel()",1);					
			}
			$sql="update lista_news set news_deleted=0, news_hidden=1 WHERE news_id=".$this->getId();		
			$db->execute($sql);      
    }

		function Save(){
			$db=Connection::getInstance();
			global $tbl_news;
			$id=$this->getId();
			if($id!=0&&!empty($id)){
				$categoria=$this->getCategoria();
				$sql="update $tbl_news set ".
					"from_date=".$db->DBDate($this->getFrom_date()).
					",to_date=".$db->DBDate($this->getTo_date()).
					",hidden=".$this->getHidden().
					",deleted=".$this->getDeleted().
					",shortitle=".strip_tags($db->qstr($this->getShortitle())).
					//creato da lo ricavo dalla funzione getUsername
					",created_by=".$db->qstr(getUserName()).
					",senzalimiti='".$this->HasExpiryDate()."'".
					",text=".$db->qstr($this->getDescription()).
					",category_id=".$categoria->getId()." where id=$id";
					$res=$db->Execute($sql);

					if($res===false){
						Connection::Error("news.php, getSave()",1);
					//$db->Error();					
					}
					
					$sql = "update lista_news set " .
					"news_from_date=".$db->DBDate($this->getFrom_date()).
					",news_to_date=".$db->DBDate($this->getTo_date()).
					",news_hidden=".$this->getHidden().
					",news_deleted=".$this->getDeleted().
					",news_shortitle=".$db->qstr($this->getShortitle()).
					//creato da lo ricavo dalla funzione getUsername
					",created_by=".$db->qstr(getUserName()).
					",news_limited='".$this->HasExpiryDate()."'".
					",news_text=".$db->qstr($this->getDescription()).
					",category_description = '" .$categoria->getDescrizione() ."'".
					",category_id=".$categoria->getId()." where news_id=$id";
					
					$res = $db->Execute($sql);
					
			}else{
				$categoria=$this->getCategoria();
				$sql="insert into $tbl_news(from_date,".
					"to_date,senzalimiti,hidden,deleted,".
					"shortitle,created_by,text,category_id)".
					"values(".$db->DBDate($this->getFrom_date()).
					",".$db->DBDate($this->getTo_date()).
					",".$this->HasExpiryDate().
					",".$this->getHidden().					
					",".$this->getDeleted().",".
					$db->qstr($this->getShortitle()).",".
					//creato da lo ricavo dalla funzione getUsername
					$db->qstr(getUserName()).",".
					$db->qstr($this->getDescription()).
					",".$categoria->getId().")";
				$db->StartTrans();
				$res=$db->Execute($sql);
				if($res===false){
					Connection::Error("news.php, getSave()",1);
					//$db->Error();					
				}
				$this->SetId=$db->Insert_Id();
				$categoria=$this->getCategoria();
					$sql = "insert into lista_news set " .
					"news_from_date=".$db->DBDate($this->getFrom_date()).
					",news_to_date=".$db->DBDate($this->getTo_date()).
					",news_hidden=".$this->getHidden().
					",news_deleted=".$this->getDeleted().
					",news_shortitle=".$db->qstr($this->getShortitle()).
					//creato da lo ricavo dalla funzione getUsername
					",news_created_by=".$db->qstr(getUserName()).
					",news_limited='".$this->HasExpiryDate()."'".
					",news_text=".$db->qstr($this->getDescription()).
					",category_description = '" .$categoria->getDescrizione() ."'".
					",news_id = '" .$this->SetId ."'".
					",category_id='".$categoria->getId()."'";
					$res = $db->Execute($sql);
				$db->CompleteTrans();
			}
		}
		
		
	}
	
?>