<?php
include_once 'room.php';
include_once "mrbs_sql_adodb.inc.php";
class Occur{
	var $room_id;
	var $from_date;
	var $to_date;
	var $entry_id;
	var $weekday;
	var $created_by;
	var $id;
	var $from_time;
	var $to_time;
	var $timestamp;
	var $typeoflesson;
	var $locked;
	var $temp;
	var $timeoflock;
	var $timeoftemp;
	var $room;

	
	function Del(){
		if($this->getId()!=0){
			$db=Connection::getInstance();
			global $tbl_occur;
			$sql="DELETE FROM $tbl_occur where id=".$this->getId();
			if($db->Execute($sql)===false){
				die(Connection::error(__FILE__."(".__LINE__.")".__FUNCTION__.":",1));
			}
			
		}
	}
	function &getRoom_id(){
		return $this->room_id;
	}
	function &getFrom_date(){
		return strtotime($this->from_date);
	}
	function &getTo_date(){
		return strtotime($this->to_date);
	}
	function &getEntry_id(){
		return $this->entry_id;
	}
	function &getCreated_by(){
		return $this->created_by;
	}
	function &getId(){
		if(empty($this->id)||$this->id<1){
			return 0;
		}else{
			return intval($this->id);
		}
	}
	function &setFrom_Date($i){
		$this->from_date=date("r",$i);
	}
	function &getFrom_time(){
		return $this->from_time;
	}
	function &getTo_time(){
		return $this->to_time;
	}
	function &getTimestamp(){
		return $this->timestamp;
	}
	function &getRoom(){
		return $this->room;
	}
	function &getArea(){
		return $this->room->getArea();
	}

	static function getSundayStart(){
		return mktime(0,0,0,6,1,2008);
	}
	
	function toArray(){
		$occurarray=array();
		$occurarray[occur_room_id]=$this->room_id;
		$occurarray[occur_from_date]=$this->from_date;
		$occurarray[occur_to_date]=$this->to_date;
		$occurarray[occur_entry_id]=$this->entry_id;
		$occurarray[occur_weekday]=$this->getWeekdayNum();
		$occurarray[occur_created_by]=$this->created_by;
		$occurarray[occur_id]=$this->id;
		$occurarray[occur_from_time]=$this->from_time;
		$occurarray[occur_to_time]=$this->to_time;
		$occurarray[occur_timestamp]=$this->timestamp;
		$occurarray[occur_typeoflesson]=$this->typeoflesson;
		if($this->room!=null){
			$occurarray=array_merge($occurarray,$this->room->toArray());
		}

		return $occurarray;
	}
	function initByValues(&$occurarray){
		$this->room_id=$occurarray[occur_room_id];
		$this->from_date=$occurarray[occur_from_date];
		$this->to_date=$occurarray[occur_to_date];
		$this->entry_id=$occurarray[occur_entry_id];
		$this->weekday=strtotime("+ $occurarray[occur_weekday] day",$this->getSundayStart());
		$this->created_by=$occurarray[occur_created_by];
		$this->id=$occurarray[occur_id];
		$this->from_time=$occurarray[occur_from_time];
		$this->to_time=$occurarray[occur_to_time];
		$this->timestamp=$occurarray[occur_timestamp];
		$this->typeoflesson=$occurarray[occur_typeoflesson];
		$room=new Room;

		$room->initByValues($occurarray);
		$this->room=$room;

	}

	function gettypeoflesson(){
		$typeoflesson = array(0=>"Non specificato",1=>"Altro",2=>"Esercitazione",3=>"Simulazione",4=>"Esame",5=>"Verbalizzazione",6=>"Lezione",7=>"Convegno",8=>"Seminario",9=>"Tirocinio",10=>"Lettore",11=>"Studenti");
		return $typeoflesson[$this->typeoflesson];
	}
	function getWeekdayTime(){
		return $this->weekday;
	}
	function getWeekdayName(){
		return date("l",$this->weekday);
	}
	function getWeekdayNum(){
		return date("w",$this->weekday);
	}
	function saveTemp(){
		global $tbl_mrbs;
		$db_global_connection=Connection::getInstance();
		$db_global_connection->StartTrans();
		if($this->id==0){
			$sql="insert into mrbs_occur(created_by,weekday,room_id,form_date,to_date,entry_id,from_time,to_time,timestamp,typeoflesson)
			values($this->created_by,$this->weekday,$this->room_id,$this->from_date,$this->to_date,$this->entry_id,$this->from_time,$this->to_time,$this->timestamp,$this->typeoflesson)";
			if($db_global_connection->Execute($sql)==false){
				die(Connection::error(__FILE__."(".__LINE__.")".__FUNCTION__.":",1));
			}
			$id=$db_global_connection->Insert_ID();
			$this->id=$id;
		}else{
			$sql="update mrbs_occur set(created_by=$this->created_by,weekday=$this->weekday,room_id=$this->room_id,form_date=$this->from_date,to_date=$this->to_date,entry_id=$this->entry_id,from_time=$this->from_time,to_time=$this->to_time,timestamp=$this->timestamp,typeoflesson=$this->typeoflesson) where id=$this->id";
			if($db_global_connection->Execute($sql)==false){
				die(Connection::error(__FILE__."(".__LINE__.")".__FUNCTION__.":",1));
			}
		}
		$db_global_connection->CompleteTrans();


	}
	function isBeetweenDate($from_date,$to_date){
		$am7_from_date=convert_am7($from_date);
		$am7_to_date=convert_am7($to_date);
		$f=$am7_from_date;
		while($f<=$am7_to_date){
			if(date("w",$f)==$this->getWeekdayNum()){
				return TRUE;
			}
			$f=strtotime("+1 day",$f);
		}
		return FALSE;
	}

}
?>