<?php
//copyright jan 2008. ed.matteucci@gmail.com
//released under gpl v2
	class String{
		
		var $string;

		function String($M){
			$this->string=$M;
		}
		function setString($stringa){
			$this->string=$stringa;
		}
		function getStringa(){
			return $this->string;
		}
		
		function utf8_wordwrap($str,$width=75,$break=PHP_EOL){
    		return utf8_encode(wordwrap(utf8_decode(html_entity_decode($str)), $width, $break));
		}
		function strtolower_utf8($inputString) {
		    $outputString    = utf8_decode($inputString);
		    $outputString    = strtolower($outputString);
		    $outputString    = utf8_encode($outputString);
		    return $outputString;
		}
		
		public static function PreProcessing($string){
			$s1=str_replace("<br>",PHP_EOL,$string);
			$s2=str_replace("<p>",PHP_EOL,$s1);
			$s3=str_replace("<br/>",PHP_EOL,$s2);
			$s4=str_replace(PHP_EOL.PHP_EOL.PHP_EOL,PHP_EOL.PHP_EOL,$s3);
			$s5=str_replace(PHP_EOL.PHP_EOL,PHP_EOL,$s4);
			$s6=strip_tags($s5,"<b><i><u>");
			$array=explode(PHP_EOL,$s6);
			return $array;
		}
		
		public static function cleanOneLine($stringa,$lunghezza){
			$len=$lunghezza;
			$X=$stringa;
			$totale=array();
			$first=1;
			if(empty($X)){
				return array('');
			}
			while(!empty($X)){

				$s1=self::utf8_wordwrap($X,$len);	
				$firstlinelenght=strpos($s1,PHP_EOL);
				$firstline=substr($X,0,$firstlinelenght);				
				if($firstlinelenght!=false){

					if($first||$firstlinelenght==strlen(self::utf8_wordwrap($X,$len+$add))){
						$totale[]=$firstline;
						$X=substr($X,$firstlinelenght);
						$len=$lunghezza;
					}else{
						$s2=strip_tags($firstline);
						$add=strlen($firstline)-strlen($s2);
						$len+=$add;
						$first=0;
					}
				}else{
					$totale[]=$X;
					$X=null;
				}
			}
			return $totale;
			
		}
		
		public static function getArrayLine($stringa,$pagina,$righeperpagina,$limiteFIXED=80){
			
			$array=self::PreProcessing($stringa);
			$totale=array();
			foreach($array as $linea){
				$R=self::cleanOneLine($linea,$limiteFIXED);
				$PROVA=array_merge($totale,$R);
				$totale=$PROVA;
			}
			$f=$righeperpagina*$pagina; //(pagina 0 è la prima)
			$max=$f+$righeperpagina;
			$max=min($max,count($totale));
			$return=array();

			if($f>=$max){
				$return=null;
			}else{
				for(;$f<$max;$f++){
					$return[]=$totale[$f];
				}
			}
			return array("righeritornate"=>$return,"righetotali"=>count($totale));
			
		}
	}

?>