<?php
# Pagina di esportazione dati per MRBS
# CopyRight Edward Matteucci ed.matteucci@gmail.com
#ottobre 2007 ed.matteucci@gmail.com
# Distribuito secondo licenza GPL V.2
require_once "grab_globals.inc.php";
include_once "config.path.inc.php";
include_once(SMARTY.'Smarty.class.php');
include "config.inc.php";
include "functions.inc.php";
include "mrbs_auth.inc.php";
include "esporta.inc.php";


if(isset($_POST)){
    $REQUEST=$_POST;   
}
if(isset($_GET)){
    $REQUEST=$_GET;
}

if(!getAuthorised(1))
{
	showAccessDenied();
	exit();
}
$errore=0;
if(validate_date($REQUEST[to_Day],$REQUEST[to_Month],$REQUEST[to_Year])){
	$to_date=mktime(23,59,59,$REQUEST[to_Month],$REQUEST[to_Day],$REQUEST[to_Year]);
}else{
	$errore=1;
}

if(validate_date($REQUEST[from_Day],$REQUEST[from_Month],$REQUEST[from_Year])){
	$from_date=mktime(0,0,1,$REQUEST[from_Month],$REQUEST[from_Day],$REQUEST[from_Year]);
}else{
	$errore=1;
}

if($to_date<=$from_date){
	$wrongdate=1;
}
if(strcmp($REQUEST[export_type],'html')!=0&&((!isset($REQUEST[save_entry]))||$errore||$wrongdate)){
	$layout = new Smarty;
	$layout->assign('FILENAME',basename($PHP_SELF));	
   
    $layout->assign('output_type',array(csv=>get_vocab("export_csv"),xml=>get_vocab("export_xml"),xmllink=>get_vocab("export_xml_pubblico"),csvhtml=>"Esportazione compatibile con MS Excel"));
	formHTML($layout,$from_date,$to_date,$wrong,$errore);

}else{
	global $CONFIG_zipped_xml_export;
	if($REQUEST[export_type]=='xml'&&$CONFIG_zipped_xml_export==1){
		$REQUEST[export_type]='zipxml';	
		
	}
	switch($REQUEST[export_type]){
		case 'xml':
			$file_name = getFilename("xml");
			$content=esportaXML($from_date,$to_date);
			header("Content-type: text/xml");
	 		header ("Content-Disposition: attachment; filename=$file_name");
			$content = str_replace("&amp;","e",$content);
	 		echo str_replace("&","e",$content);			
		    break;
		case 'zipxml':
			$file_name = getFilename("zip");
			$zipcontent=esportaZippedXML($from_date,$to_date);
			header("Content-type: application/zip");
	 		header ("Content-Disposition: attachment; filename=$file_name");
	 		echo $zipcontent;
		    break;
	   case 'csvhtml':
	   		$file_name = getFilename("xls");
   			header ("Content-Type: application/vnd.ms-excel");
   			header ("Content-Disposition: attachment; filename=$file_name");
	   		echo esportaCSVHTML($from_date,$to_date);
	   		break;    
	   case 'csv':
//            header('Content-type:text/csv , charset=utf8; encoding=utf8');

          	 $file_name = getFilename("csv");
            //header('text/comma-separated-values');    
			header('Content-type:text/csv , charset=utf8; encoding=utf8');                  	 
	  		header ("Content-Disposition: attachment; filename=$file_name");
	  		echo esportaCSV($from_date,$to_date);
	  		break;
	  	case 'xmllink':
	  		printXMLLINK($REQUEST);	
	  		break;
	  	default:
	  	   $layout = new Smarty;
	  	   formHTML($layout,$from_date,$to_date,$wrong,$errore);
	  	   break;
	}
  		
}
?>
