<?php
# Pagina di ricerca dati per MRBS
# Versione 1.2 def.
# Copyleft Joram Marino joram@joram.it
# Distribuito secondo licenza GPL V.2
include_once "config.path.inc.php";
include_once(CLASSES."log.php");
$log=new Log;
$log->InitByValues($_SERVER);
include_once(SMARTY.'Smarty.class.php');

require_once "grab_globals.inc.php";
include "config.inc.php";
include "functions.inc.php";
include "mrbs_auth.inc.php";
include "header_menu.inc.php";
include_once(CLASSES.'entry.php');
$log->setUser(getUserName());
$log->AddLog("postInclude");

$errore=0;
$date=mktime();
$entry=new Entry;

if(validate_date($_REQUEST['From_Day'],$_REQUEST['From_Month'],$_REQUEST['From_Year'])){
	$HTML['req_From_time']=mktime(23,59,59,$_REQUEST['From_Month'],$_REQUEST['From_Day'],$_REQUEST['From_Year']);
}else{
	$HTML['req_From_time']=$date;
}

if(validate_date($_REQUEST['To_Day'],$_REQUEST['To_Month'],$_REQUEST['To_Year'])){
	$HTML['req_To_time']=mktime(23,59,59,$_REQUEST['To_Month'],$_REQUEST['To_Day'],$_REQUEST['To_Year']);
}else{
	$HTML['req_To_time']=$date;
}
if($HTML['req_From_time']>$HTML['req_To_time']){
	$errore=1;
}

	$HTML['req_area_name']=htmlspecialchars($_REQUEST['areamatch']);
	$entry->addCostraint('area_name',$HTML['req_area_name']);

	$HTML['req_room_name']=htmlspecialchars($_REQUEST['roommatch']);	
	$entry->addCostraint('room_name',$HTML['req_room_name']);

	$HTML['req_week_name']=htmlspecialchars($_REQUEST['weekmatch']);
	$entry->addCostraint('occur_weekday',$HTML['req_week_name']);

	$HTML['req_entry_teacher']=htmlspecialchars($_REQUEST['namematch']);
	$entry->addCostraint('entry_teacher',$HTML['req_entry_teacher']);

	$HTML['req_entry_description']=htmlspecialchars ($_REQUEST['descrmatch']);
	$entry->addCostraint('entry_shortitle',$HTML['req_entry_description']);	

	$HTML['req_sortby']=($_REQUEST['sortby']);
	//req_sorty={'r','s'} gli unici due casi possibili di html
	if($HTML['req_sortby']!='s'){
		$HTML['req_sortby']='r';
	}

$layout=new Smarty;
init_header($layout);
$f=getSundayStart();
$max=strtotime("+1 week",$f);
for($f=getSundayStart();$f<$max;$f=strtotime("+1 day",$f)){
		$weekarray[]=$f;
}
$layout->assign("weekarray",$weekarray);
$layout->assign("HTML",$HTML);
$layout->assign("date_mismatch",$errore);
$log->AddLog("prequery");

if($errore!=1&&count($_REQUEST)>1){
	$entries=$entry->SearchByDateAndCostraint($HTML[req_From_time],$HTML[req_To_time],$HTML[req_sortby]);
	$layout->assign("entries",$entries);
}
$log->AddLog("postquery");


$layout->display("ricerca.html");
$log->AddLog("postdisplay");
$log->save();
?>